Subject: Re: [PATCH net-next v4 1/6] net: tn40xx: add pci driver for Tehuti Networks TN40xx chips

From: Jakub Kicinski <[email-masked]>
Date: Wed, 8 May 2024 06:49:22 -0700

On Wed, 08 May 2024 16:36:18 +0900 (JST) FUJITA Tomonori wrote:
> > On Thu,  2 May 2024 08:05:47 +0900 FUJITA Tomonori wrote:  
> >> +	if (dma_set_mask_and_coherent(&pdev->dev, DMA_BIT_MASK(64))) {
> >> +		ret = dma_set_mask_and_coherent(&pdev->dev, DMA_BIT_MASK(32));  
> > 
> > This fallback is unnecessary, please see commit f0ed939b6a or one of
> > many similar removals..  
> 
> I see, fixed.
> 
> It might not be necessary to check the returned value here? I keep the
> checking alone like the majority of drivers though.

Right, keep the error check. It's just that the failure, if it happens,
will not be related to the length of the mask. So "fallback" to 32b if
64b fails is unnecessary.